Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/Configuration.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 4068)
@@ -21,8 +21,7 @@
 
 using System;
-using System.Linq;
 using System.Collections.Generic;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Core {
@@ -77,7 +76,7 @@
             "is not compatible with selected format's ({2}) seriali data type ({3})",
             primitiveSerializers.GetType().FullName, primitiveSerializer.SerialDataType.FullName,
-            format.Name, format.SerialDataType.FullName));            
+            format.Name, format.SerialDataType.FullName));
         this.primitiveSerializers.Add(primitiveSerializer.SourceType, primitiveSerializer);
-      }      
+      }
     }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs	(revision 4068)
@@ -21,7 +21,7 @@
 
 using System;
+using System.Collections.Generic;
 using System.IO;
 using System.Linq;
-using System.Collections.Generic;
 using System.Reflection;
 using System.Text;
@@ -29,6 +29,4 @@
 using HeuristicLab.Persistence.Interfaces;
 using HeuristicLab.Tracing;
-using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Auxiliary;
 
 namespace HeuristicLab.Persistence.Core {
@@ -96,5 +94,6 @@
       try {
         TryLoadSettings();
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         if (throwOnError) {
           throw new PersistenceException("Could not load persistence settings.", e);
@@ -163,5 +162,6 @@
           if (a != defaultAssembly)
             DiscoverFrom(a);
-      } catch (AppDomainUnloadedException x) {
+      }
+      catch (AppDomainUnloadedException x) {
         Logger.Warn("could not get list of assemblies, AppDomain has already been unloaded", x);
       }
@@ -207,5 +207,6 @@
           }
         }
-      } catch (ReflectionTypeLoadException e) {
+      }
+      catch (ReflectionTypeLoadException e) {
         Logger.Warn("could not analyse assembly: " + a.FullName, e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/DataMemberAccessor.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/DataMemberAccessor.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/DataMemberAccessor.cs	(revision 4068)
@@ -22,10 +22,8 @@
 using System;
 using System.Reflection;
-using HeuristicLab.Persistence.Core;
 using System.Reflection.Emit;
-using System.Collections.Generic;
 
 namespace HeuristicLab.Persistence.Core {
-  
+
   /// <summary>
   /// Encapsulation and abstraction for access a data member of an object
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/DeSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/DeSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/DeSerializer.cs	(revision 4068)
@@ -20,11 +20,9 @@
 #endregion
 
+using System;
 using System.Collections.Generic;
-using System;
+using HeuristicLab.Persistence.Auxiliary;
+using HeuristicLab.Persistence.Core.Tokens;
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Auxiliary;
-using HeuristicLab.Tracing;
-using System.Reflection;
 
 namespace HeuristicLab.Persistence.Core {
@@ -82,5 +80,5 @@
       }
     }
-    
+
     private readonly Dictionary<int, object> id2obj;
     private readonly Dictionary<Type, object> serializerMapping;
@@ -124,7 +122,9 @@
           serializer = Activator.CreateInstance(serializerType, true);
         serializerMapping.Add(type, serializer);
-      } catch (PersistenceException) {
+      }
+      catch (PersistenceException) {
         throw;
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException(string.Format(
           "Could not add type info for {0} ({1})",
@@ -181,5 +181,6 @@
       try {
         parentStack.Push(new Midwife(type, (ICompositeSerializer)serializerMapping[type], token.Id));
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         if (e is InvalidCastException || e is KeyNotFoundException) {
           throw new PersistenceException(String.Format(
@@ -210,5 +211,6 @@
           id2obj[(int)token.Id] = value;
         SetValue(token.Name, value);
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         if (e is InvalidCastException || e is KeyNotFoundException) {
           throw new PersistenceException(String.Format(
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/GeneratorBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/GeneratorBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/GeneratorBase.cs	(revision 4068)
@@ -20,13 +20,7 @@
 #endregion
 
-using System.Collections.Generic;
 using System;
-using System.Text;
+using HeuristicLab.Persistence.Core.Tokens;
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core;
-using System.IO;
-using ICSharpCode.SharpZipLib.Zip;
-using HeuristicLab.Tracing;
-using HeuristicLab.Persistence.Core.Tokens;
 
 namespace HeuristicLab.Persistence.Core {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/PersistenceException.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/PersistenceException.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/PersistenceException.cs	(revision 4068)
@@ -20,9 +20,6 @@
 #endregion
 
+using System;
 using System.Collections.Generic;
-using System;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using System.Text;
 
@@ -32,5 +29,5 @@
   /// Exception thrown by components inside the persistence framework.
   /// </summary>
-  [Serializable]  
+  [Serializable]
   public class PersistenceException : Exception {
 
@@ -87,4 +84,4 @@
     }
   }
-  
+
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/Serializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/Serializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/Serializer.cs	(revision 4068)
@@ -20,16 +20,12 @@
 #endregion
 
+using System;
+using System.Collections;
 using System.Collections.Generic;
-using System.Collections;
-using System;
-using System.Linq;
+using System.Reflection;
+using System.Text;
 using HeuristicLab.Persistence.Auxiliary;
+using HeuristicLab.Persistence.Core.Tokens;
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core.Tokens;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System.Text;
-using System.Reflection;
-using System.IO;
-using System.Diagnostics;
 
 namespace HeuristicLab.Persistence.Core {
@@ -94,5 +90,5 @@
       }
     }
-    
+
     /// <summary>
     /// Contains a list of files (mostly assemblies) that are
@@ -207,5 +203,5 @@
 
     private IEnumerator<ISerializationToken> Serialize(DataMemberAccessor accessor, object obj) {
-      
+
       object value = accessor.Get(obj);
       if (value == null)
@@ -244,6 +240,7 @@
             compositeSerializer.CreateMetaInfo(value),
             emitTypeInfo);
-        throw CreatePersistenceException(type, "Could not determine how to serialize a value.");      
-      } catch (Exception x) {
+        throw CreatePersistenceException(type, "Could not determine how to serialize a value.");
+      }
+      catch (Exception x) {
         if (isTestRun) {
           exceptions.Add(x);
@@ -254,5 +251,6 @@
           throw CreatePersistenceException(type, "Uncaught exception during serialization: " + x.Message);
         }
-      } finally {
+      }
+      finally {
         objectGraphTrace.Pop();
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tag.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tag.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tag.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using System.Collections.Generic;
 
 namespace HeuristicLab.Persistence.Core {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/BeginToken.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/BeginToken.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/BeginToken.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Core.Tokens {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/EndToken.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/EndToken.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/EndToken.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Core.Tokens {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/NulLReferenceToken.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/NulLReferenceToken.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/NulLReferenceToken.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Core.Tokens {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/ReferenceToken.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/ReferenceToken.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/ReferenceToken.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Core.Tokens {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/TypeToken.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/TypeToken.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/TypeToken.cs	(revision 4068)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Persistence.Interfaces;
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs	(revision 4068)
@@ -21,9 +21,8 @@
 
 using System;
+using System.Collections.Generic;
 using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Persistence.Interfaces;
-using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System.Text;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
@@ -96,7 +95,9 @@
         }
         return Array.CreateInstance(t.GetElementType(), lengths, lowerBounds);
-      } catch (InvalidOperationException x) {
+      }
+      catch (InvalidOperationException x) {
         throw new PersistenceException("Insufficient meta information to construct array instance.", x);
-      } catch (InvalidCastException x) {
+      }
+      catch (InvalidCastException x) {
         throw new PersistenceException("Invalid format of array metainfo.", x);
       }
@@ -129,9 +130,12 @@
           }
         }
-      } catch (InvalidOperationException x) {
+      }
+      catch (InvalidOperationException x) {
         throw new PersistenceException("Insufficient data to fill array instance", x);
-      } catch (InvalidCastException x) {
+      }
+      catch (InvalidCastException x) {
         throw new PersistenceException("Invalid element data. Cannot fill array", x);
-      } catch (IndexOutOfRangeException x) {
+      }
+      catch (IndexOutOfRangeException x) {
         throw new PersistenceException("Too many elements during array deserialization", x);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs	(revision 4068)
@@ -21,13 +21,10 @@
 
 using System;
-using System.Linq;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Persistence.Auxiliary;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core;
-using System.Collections.Generic;
-using System.Reflection;
-using System.Globalization;
-using System.Text;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Persistence.Auxiliary;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
@@ -143,7 +140,9 @@
         }
         return a;
-      } catch (InvalidOperationException e) {
+      }
+      catch (InvalidOperationException e) {
         throw new PersistenceException("Insuffictient data to deserialize compact array", e);
-      } catch (InvalidCastException e) {
+      }
+      catch (InvalidCastException e) {
         throw new PersistenceException("Invalid element data during compact array deserialization", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs	(revision 4068)
@@ -22,9 +22,9 @@
 using System;
 using System.Collections;
+using System.Collections.Generic;
+using HeuristicLab.Persistence.Auxiliary;
 using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Persistence.Interfaces;
-using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Persistence.Auxiliary;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
@@ -75,11 +75,15 @@
           dict.Add(key.Value, value.Value);
         }
-      } catch (InvalidOperationException e) {
+      }
+      catch (InvalidOperationException e) {
         throw new PersistenceException("Dictionaries must contain an even number of elements (key+value).", e);
-      } catch (NotSupportedException e) {
+      }
+      catch (NotSupportedException e) {
         throw new PersistenceException("The serialized dictionary type was read-only or had a fixed size and cannot be deserialized.", e);
-      } catch (ArgumentNullException e) {
+      }
+      catch (ArgumentNullException e) {
         throw new PersistenceException("Dictionary key was null.", e);
-      } catch (ArgumentException e) {
+      }
+      catch (ArgumentException e) {
         throw new PersistenceException("Duplicate dictionary key.", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 4068)
@@ -21,8 +21,8 @@
 
 using System;
+using System.Collections.Generic;
 using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Persistence.Interfaces;
-using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
@@ -56,7 +56,9 @@
         it.MoveNext();
         return Enum.Parse(t, (string)it.Current.Value);
-      } catch (InvalidOperationException e) {
+      }
+      catch (InvalidOperationException e) {
         throw new PersistenceException("not enough meta information to recstruct enum", e);
-      } catch (InvalidCastException e) {
+      }
+      catch (InvalidCastException e) {
         throw new PersistenceException("invalid meta information found while trying to reconstruct enum", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs	(revision 4068)
@@ -22,10 +22,10 @@
 using System;
 using System.Collections;
+using System.Collections.Generic;
 using System.Reflection;
+using HeuristicLab.Persistence.Auxiliary;
 using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Persistence.Interfaces;
-using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Persistence.Auxiliary;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
@@ -53,5 +53,5 @@
         return "interface IEnumerable not implemented";
       if (type.GetMethod("Add") == null)
-        return "no 'Add()' method";      
+        return "no 'Add()' method";
       return "no 'Add()' method with one argument";
     }
@@ -76,5 +76,6 @@
         foreach (var tag in tags)
           addMethod.Invoke(instance, new[] { tag.Value });
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException("Exception caught while trying to populate enumerable.", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs	(revision 4068)
@@ -21,10 +21,10 @@
 
 using System;
+using System.Collections.Generic;
 using System.Linq;
-using System.Collections.Generic;
+using System.Reflection;
 using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Persistence.Interfaces;
-using System.Reflection;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
@@ -42,10 +42,10 @@
     public bool CanSerialize(Type type) {
       return type.IsGenericType &&
-             type.GetGenericTypeDefinition() == genericKeyValuePairType;             
+             type.GetGenericTypeDefinition() == genericKeyValuePairType;
     }
 
     public string JustifyRejection(Type type) {
       if (!type.IsGenericType)
-        return "not even generic";      
+        return "not even generic";
       return "not generic KeyValuePair<,>";
     }
@@ -60,5 +60,6 @@
       try {
         key = new Tag("key", t.GetProperty("Key").GetValue(o, null));
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException("Exception caught during KeyValuePair decomposition", e);
       }
@@ -66,5 +67,6 @@
       try {
         value = new Tag("value", t.GetProperty("Value").GetValue(o, null));
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException("Exception caught during KeyValuePair decomposition", e);
       }
@@ -85,7 +87,9 @@
         t.GetFields(BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic)
           .Single(fi => fi.Name == "value").SetValue(instance, iter.Current.Value);
-      } catch (InvalidOperationException e) {
+      }
+      catch (InvalidOperationException e) {
         throw new PersistenceException("Not enough components to populate KeyValuePair instance", e);
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException("Exception caught during KeyValuePair reconstruction", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 4068)
@@ -21,15 +21,12 @@
 
 using System;
+using System.Collections.Generic;
 using System.Linq;
+using HeuristicLab.Persistence.Auxiliary;
+using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence.Default.Xml;
+using HeuristicLab.Persistence.Default.Xml.Primitive;
 using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Auxiliary;
-using System.Collections.Generic;
-using System.Reflection;
-using System.Globalization;
-using System.Text;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Persistence.Default.Xml.Primitive;
-using HeuristicLab.Persistence.Default.Xml;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
@@ -63,5 +60,5 @@
 
     static Number2StringSerializer() {
-      numberSerializerMap = new Dictionary<Type,IPrimitiveSerializer>();
+      numberSerializerMap = new Dictionary<Type, IPrimitiveSerializer>();
       foreach (var s in numberSerializers) {
         numberSerializerMap[s.SourceType] = s;
@@ -111,7 +108,9 @@
       try {
         return numberSerializerMap[type].Parse(new XmlString(stringValue));
-      } catch (FormatException e) {
+      }
+      catch (FormatException e) {
         throw new PersistenceException("Invalid element data during number parsing.", e);
-      } catch (OverflowException e) {
+      }
+      catch (OverflowException e) {
         throw new PersistenceException("Overflow during number parsing.", e);
       }
@@ -166,9 +165,11 @@
         it.MoveNext();
         return Parse((string)it.Current.Value, type);
-      } catch (InvalidOperationException e) {
+      }
+      catch (InvalidOperationException e) {
         throw new PersistenceException(
           String.Format("Insufficient meta information to reconstruct number of type {0}.",
           type.VersionInvariantName()), e);
-      } catch (InvalidCastException e) {
+      }
+      catch (InvalidCastException e) {
         throw new PersistenceException("Invalid meta information element type", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs	(revision 4068)
@@ -21,12 +21,11 @@
 
 using System;
-using HeuristicLab.Persistence.Interfaces;
-using HeuristicLab.Persistence.Core;
 using System.Collections.Generic;
 using System.Reflection;
-using System.Globalization;
 using System.Text;
+using HeuristicLab.Persistence.Auxiliary;
+using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Persistence.Auxiliary;
+using HeuristicLab.Persistence.Interfaces;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
@@ -130,7 +129,9 @@
           addMethod.Invoke(instance, new[] { numberConverter.Parse(value, elementType) });
         }
-      } catch (InvalidOperationException e) {
+      }
+      catch (InvalidOperationException e) {
         throw new PersistenceException("Insufficient element data to reconstruct number enumerable", e);
-      } catch (InvalidCastException e) {
+      }
+      catch (InvalidCastException e) {
         throw new PersistenceException("Invalid element data during reconstruction of number enumerable", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs	(revision 4068)
@@ -22,10 +22,9 @@
 using System;
 using System.Collections;
+using System.Collections.Generic;
 using System.Reflection;
 using HeuristicLab.Persistence.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Persistence.Interfaces;
-using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System.IO;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
@@ -46,5 +45,5 @@
 
     public string JustifyRejection(Type type) {
-        return "not Stack or generic Stack<>";
+      return "not Stack or generic Stack<>";
     }
 
@@ -73,5 +72,6 @@
         foreach (var tag in tags)
           addMethod.Invoke(instance, new[] { tag.Value });
-      } catch (Exception e) {
+      }
+      catch (Exception e) {
         throw new PersistenceException("Exception caught while trying to populate enumerable.", e);
       }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableAttribute.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableAttribute.cs	(revision 4068)
@@ -21,7 +21,4 @@
 
 using System;
-using System.Linq;
-using System.Collections.Generic;
-using System.Reflection;
 using System.Text;
 
@@ -38,5 +35,5 @@
     AttributeTargets.Field | AttributeTargets.Property,
     AllowMultiple = false,
-    Inherited = false)]    
+    Inherited = false)]
   public class StorableAttribute : Attribute {
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableClassAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableClassAttribute.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableClassAttribute.cs	(revision 4068)
@@ -21,9 +21,6 @@
 
 using System;
-using System.Collections.Generic;
-using System.Reflection;
-using System.Linq;
 
-namespace HeuristicLab.Persistence.Default.CompositeSerializers.Storable {  
+namespace HeuristicLab.Persistence.Default.CompositeSerializers.Storable {
 
   /// <summary>
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableClassType.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableClassType.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableClassType.cs	(revision 4068)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Reflection;
-using System.Linq;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers.Storable {
@@ -62,5 +58,5 @@
     /// </summary>    
     AllFieldsAndAllProperties
-  };  
+  };
 }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableConstructorAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableConstructorAttribute.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableConstructorAttribute.cs	(revision 4068)
@@ -21,9 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Reflection;
-using HeuristicLab.Persistence.Core;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers.Storable {
@@ -39,4 +34,4 @@
   /// </summary>
   [AttributeUsage(AttributeTargets.Constructor, Inherited = false, AllowMultiple = false)]
-  public sealed class StorableConstructorAttribute : Attribute {  }
+  public sealed class StorableConstructorAttribute : Attribute { }
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableHookAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableHookAttribute.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableHookAttribute.cs	(revision 4068)
@@ -21,8 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Reflection;
 
 namespace HeuristicLab.Persistence.Default.CompositeSerializers.Storable {
@@ -39,10 +35,11 @@
     /// </summary>
     BeforeSerialization,
-    
+
     /// <summary>
     /// States that this hook should be called after the storable
     /// serializer hast complete re-assembled the object.
     /// </summary>
-    AfterDeserialization };
+    AfterDeserialization
+  };
 
 
@@ -52,5 +49,5 @@
   /// </summary>
   [AttributeUsage(AttributeTargets.Method, Inherited = false, AllowMultiple = true)]
-  public sealed class StorableHookAttribute : Attribute {    
+  public sealed class StorableHookAttribute : Attribute {
 
     private readonly HookType hookType;
@@ -70,5 +67,5 @@
     public StorableHookAttribute(HookType hookType) {
       this.hookType = hookType;
-    }    
+    }
   }
 }
